#
# spec file for package yast2-x11
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-x11
Version:        5.0.2
Release:        1.4
Summary:        YaST2 - X11 support
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-x11/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  yast2-devtools >= 3.1.10
Requires:       systemd
Requires:       yast2-theme >= 4.1.7
Supplements:    (yast2-installation and xorg-x11-server)
Obsoletes:      sax2-tools <= 8.1

%description
This package contains the programs and files for YaST2 X11 support.

%prep
%setup -q

%build
%yast_build

%install
%yast_install

%files
%license COPYING
%{yast_ybindir}/active_window
%{yast_ybindir}/testX
%{yast_ybindir}/set_videomode
%{yast_ybindir}/xftdpi
%{_sbindir}/xkbctrl
%{_sysconfdir}/icewm
%{_mandir}/man1/xkbctrl.1*

%changelog
* Mon Oct 23 2023 Stefan Hundhammer <shundhammer@suse.com>
- Prevent testX from hanging in second stage if no supported WM
  can be started (bsc#1216297)
- 5.0.2
* Tue Oct 10 2023 Martin Vidner <mvidner@suse.com>
- xkbctrl: use also kbd-model-map.xkb-generated (bsc#1211104)
- 5.0.1
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (#bsc1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Mon Jul 18 2022 Ladislav Slezák <lslezak@suse.cz>
- Added "xftdpi" tool to not depend on xrdb (which requires
  the C pre-processor), this decreases the installed size
  (bsc#1201532)
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0
* Fri Feb  5 2021 Ladislav Slezák <lslezak@suse.cz>
- Added "active_window" for switching the current X window
  (or restoring back the previously active window)
  (jsc#PM-1895, jsc#SLE-16263)
- 4.3.0
* Thu Nov 29 2018 lslezak@suse.cz
- Explicitly depend on the new yast2-theme, the old yast2_theme
  dependency is ambiguous and makes troubles
  (related to boo#1109310)
- 4.1.0
* Fri Sep 28 2018 bwiedemann@suse.com
- xkbctrl: sort hash keys (boo#1109534)
- 4.0.1
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
* Mon Jan 15 2018 jreidinger@suse.com
- drop note about KEYTABLE (bsc#1075828, fate#319454)
- 4.0.0
* Wed Jun 15 2016 snwint@suse.de
- add set_videomode script to adjust video mode using xrandr (bsc#974821)
- 3.1.5
* Tue Aug 18 2015 sndirsch@suse.com
- xkbctrl uses systemd mapping information now (fate#318426)
- 3.1.4
* Thu Mar 13 2014 jreidinger@suse.com
- fix typo in requires
* Tue Mar 11 2014 jreidinger@suse.com
- move icewm config to yast2-theme as it contain color schema
  for installation
- 3.1.3
* Thu Feb 13 2014 lslezak@suse.cz
- changed window title bar color in icewm config to match the new
  color schema at installation
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Mon Sep  2 2013 coolo@suse.com
- trigger installation of the package not on xorg-x11, but on
  xorg-x11-server (bnc#837450)
* Tue Aug 13 2013 lslezak@suse.cz
- fixed build with yast2-devtools >= 3.0.3
- 3.0.1
* Tue Jul 30 2013 yast-devel@opensuse.org
- version 3.0.0
* Fri Apr 19 2013 aschnell@suse.de
- added xkbctrl from sax2-tools
- 2.24.0
* Wed Jun  6 2012 aschnell@suse.de
- added supplements (bnc#765242)
- 2.22.1
* Mon Apr  2 2012 aschnell@suse.de
- added icewm config to keep Firefox window on top (bnc#749184)
- created package with testX binary from sax2-tools and
  window-manager config from yast2-installation
- 2.22.0
